FreeMat

- Main Page
- Related Pages

vtkGraphEdge

Section: Visualization Toolkit Filtering Classes

# Usage

A heavy-weight (vtkObject subclass) graph edge object that may be used instead of the vtkEdgeType struct, for use with wrappers. The edge contains the source and target vertex ids, and the edge id.

To create an instance of class vtkGraphEdge, simply invoke its constructor as follows

      obj = vtkGraphEdge

# Methods

The class vtkGraphEdge has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGraphEdge class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGraphEdge = obj.NewInstance ()`
- `vtkGraphEdge = obj.SafeDownCast (vtkObject o)`
- `obj.SetSource (vtkIdType )` - The source of the edge.
- `vtkIdType = obj.GetSource ()` - The source of the edge.
- `obj.SetTarget (vtkIdType )` - The target of the edge.
- `vtkIdType = obj.GetTarget ()` - The target of the edge.
- `obj.SetId (vtkIdType )` - The id of the edge.
- `vtkIdType = obj.GetId ()` - The id of the edge.